Bug 1567519 - [CSD] touch-screen window drag doesn't work (GNOME Wayland)
Summary: [CSD] touch-screen window drag doesn't work (GNOME Wayland)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 17:22 UTC by fednuc
Modified: 2019-08-05 03:17 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:06:05 UTC
Type: Bug


Attachments (Terms of Use)

Description fednuc 2018-04-14 17:22:02 UTC
Firefox windows don't move when attempting to drag them via touch under GNOME Wayland.

GNOME Wayland has a bug with dragging XWayland SSD windows via touch, but that shouldn't affect Firefox CSD? https://bugzilla.gnome.org/show_bug.cgi?id=774947

Comment 1 fednuc 2018-04-14 17:28:46 UTC
In fact dragging the window via touch doesn't work under X either, so this is nothing to do with that GNOME Wayland bug.

Comment 2 Martin Stransky 2018-04-16 10:40:35 UTC
Can you please check Firefox 60 Beta [1]? That's target release for this feature, Fedora has only a tech preview in Firefox 59.

[1] https://www.mozilla.org/en-US/firefox/channel/desktop/

Comment 3 fednuc 2018-04-16 10:45:31 UTC
Any chance you can do a scratch build for F28? ;)

Comment 4 Martin Stransky 2018-04-16 11:08:36 UTC
Sorry I don't have a time for that. You can just download the tar.gz, unpack it and run.

Comment 5 fednuc 2018-05-13 11:19:15 UTC
Still the same on FF60 final.

Comment 6 Ben Cotton 2019-05-02 20:31:03 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 23:06:05 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Justin 2019-08-05 03:17:20 UTC
I'm experiencing the same problem described here on a new Fedora 30 installation (out of the box and also after running "sudo dnf update").
Firefox Quantum 68.0.

I can move the FF window using SuperKey + arrows, but not with touch-screen drag.

Dragging via touch-screen works fine for other programs, such as Settings, gedit & Rhythmbox.


Note You need to log in before you can comment on or make changes to this bug.